# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/DBI.pm) perl(Class/DBI/AbstractSearch.pm) perl(Class/DBI/Relationship/IsA.pm) perl(Test/More.pm) perl(URI/Escape.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Class-PINT
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A Class::DBI package providing Tangram and other OOPF features
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TE/TEEJAY/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Class::PINT is an implementation of selected Tangram, and other OOPF
related features on top of Class::DBI.

The goal of PINT is to provide some of the power and flexibility of
Tangram with the maturity, transparency and extensibility of CDBI.
I also hope we can provide a place where more useful and adventurous
patchs, subclasses and plugins can be organised and integrated into
a usable package.

Class::PINT uses CDBI to generate general purpose accessors, mutators and
constructor methods. CDBI also provides simple relationships. Additional
Accessors/Mutators and relationships are added to handle more complex types
of attributes and relationships.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/C*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

